Bug 1002449 - [abrt] yum-3.4.3-54.fc18: auto-update-debuginfo.py:96:_write_cached:OSError: [Errno 2] No such file or directory
[abrt] yum-3.4.3-54.fc18: auto-update-debuginfo.py:96:_write_cached:OSError: ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:56963dfbf16ca1258d71c225b69...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 04:52 EDT by glad08
Modified: 2014-02-05 18:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:13:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.89 KB, text/plain)
2013-08-29 04:52 EDT, glad08
no flags Details
File: environ (3.07 KB, text/plain)
2013-08-29 04:53 EDT, glad08
no flags Details

  None (edit)
Description glad08 2013-08-29 04:52:53 EDT
Description of problem:
I print in root console yum install memch and press tab. console freezes, than I run another root console and print there yum list available|grep memcheck. After several seconds gnome-abrt say than yum crahses

Version-Release number of selected component:
yum-3.4.3-54.fc18

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available memch
dso_list:       yum-plugin-auto-update-debug-info-1.1.31-10.fc18.noarch
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.10.9-100.fc18.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
auto-update-debuginfo.py:96:_write_cached:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/share/yum-cli/completion-helper.py", line 89, in <module>
    main(sys.argv[1:])
  File "/usr/share/yum-cli/completion-helper.py", line 83, in main
    base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/completion-helper.py", line 45, in doCommand
    patterns=[get_pattern(extcmds)])
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2746, in doPackageLists
    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1014, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 780, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 313, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 114, in doSetup
    self.ayum.plugins.run('prereposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/auto-update-debuginfo.py", line 115, in prereposetup_hook
    _write_cached(cfname, rpmdbv, num)
  File "/usr/lib/yum-plugins/auto-update-debuginfo.py", line 96, in _write_cached
    os.rename(cfname + ".tmp", cfname)
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
cdname: '/var/lib/yum/plugins/auto-update-debuginfo'
num: 153
cfname: '/var/lib/yum/plugins/auto-update-debuginfo/num'
rpmdbv: '2616:fff093be73decbc3d39ef00f3a0cbac2039843d1'
fo: <closed file '/var/lib/yum/plugins/auto-update-debuginfo/num.tmp', mode 'w' at 0x2147780>
Comment 1 glad08 2013-08-29 04:52:59 EDT
Created attachment 791648 [details]
File: backtrace
Comment 2 glad08 2013-08-29 04:53:05 EDT
Created attachment 791649 [details]
File: environ
Comment 3 Zdeněk Pavlas 2013-08-29 06:07:42 EDT
Thanks, that's a race condition, the 2nd process has overwritten tempfile of the 1st one.. Completion helper deliberately does not lock and uses the root cache readonly- this is fast and mostly safe, and makes tab-completion work even when other yum operation is in progress.  But some plugins break.

This one is quite easy to fix, but maybe better solution is to disable all/most plugins in completion-helper..
Comment 4 Fedora End Of Life 2013-12-21 10:36:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 18:13:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.